using System;
using UnityEngine;
using Verse;
using RimWorld;

namespace TiberiumRim
{
    [StaticConstructorOnStartup]
    public static class TiberiumMaterials
    {
        public static readonly Texture2D WorkBanner = ContentFinder<Texture2D>.Get("UI/WorkBanner", true);

        public static readonly Material TiberiumInfSmall = MaterialPool.MatFrom("World/TiberiumInf_Small", ShaderDatabase.MoteGlow, 3510);

        public static readonly Material TiberiumInfMedium = MaterialPool.MatFrom("World/TiberiumInf_Medium", ShaderDatabase.MoteGlow);

        public static readonly Material TiberiumInfBig = MaterialPool.MatFrom("World/TiberiumInf_Big", ShaderDatabase.MoteGlow);

        public static readonly Material TiberiumInfLarge = MaterialPool.MatFrom("World/TiberiumInf_Large", ShaderDatabase.MoteGlow);

        public static readonly Material TiberiumGlacier = MaterialPool.MatFrom("World/TiberiumGlacier", ShaderDatabase.WorldOverlayTransparentLit, 3510);
    }
}
